﻿
@model IMS_IMS_MODEL.StorageSedimentationTankModel


<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />
<script>
     $('.txtLengthTank').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
      });

     $('.txtBreadthTank').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
     });

       $('.txtheightTank').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
      });

</script>

@using (Ajax.BeginForm("StorageAndSedimentationTank", "WBS", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { @id = "FormStorageAndSedimentationTank" }))
{
    @Html.AntiForgeryToken()

    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="container-fluid">
        <div class="row " style="display:none">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Location, "Location", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control locationddlStorageAndSedimentationTank", @id = "Location" } })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemName, "Item Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control itemnameddlStorageAndSedimentationTank" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row ">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.TankType, "Tank Type", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">

                    @Html.DropDownListFor(model => model.TankType, Enumerable.Empty<SelectListItem>(), "--Select Tank Type--", new { @class = "form-control", @id = "TankTypeTank" })
                    @Html.ValidationMessageFor(model => model.Length, "", new { @class = "text-danger" })

                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Length, "Length", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Length, new { htmlAttributes = new { @class = "form-control txtLengthTank", placeholder = "Length", @id = "LengthStorageTank" } })
                    @*@Html.DropDownListFor(model => model.Length, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category1" })*@
                    @Html.ValidationMessageFor(model => model.Length, "", new { @class = "text-danger" })

                </div>
            </div>




        </div>

        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Breadth, "Width", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Breadth, new { htmlAttributes = new { @class = "form-control txtBreadthTank", placeholder = "Width in Feet", @id = "WidthStorageTank" } })
                    @Html.ValidationMessageFor(model => model.Breadth, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Height, "Height", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Height, new { htmlAttributes = new { @class = "form-control txtheightTank", placeholder = "Height in Feet", @id = "HeightStorageTank" } })
                    @Html.ValidationMessageFor(model => model.Height, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Capacity, "Capacity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Capacity, new { htmlAttributes = new { @class = "form-control", placeholder = "Capacity in --", @id = "CapacityStorageTank" } })
                    @Html.ValidationMessageFor(model => model.Capacity, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Remarks", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus",@placeholder="Write Something", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>

    </div>

}


<hr class="style-eight" />

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetTankType", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.TankDetails</h6>
</div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTableStorageSediTenk" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                @*<th style="text-align:center">Location</th>
                <th style="text-align:center">Item Name</th>*@
                <th style="text-align:center">Tank Type</th>
                <th style="text-align:center">Height</th>
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Width</th>
                <th style="text-align:center">Capacity</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Description</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowTankDetails();
         $("#MyDataTableStorageSediTenk").DataTable().clear();
        $("#MyDataTableStorageSediTenk").DataTable().destroy();

    });
    var responseData = '';
    var ShowTankDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowStorageSediTankDetails",
            success: function (response) {

                response = JSON.parse(BindDataTableTank(response));

                $("#MyDataTableStorageSediTenk").append(response)

            }
        });
    }

    var BindDataTableTank = function (response) {

       

        $("#MyDataTableStorageSediTenk").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "TankType" },
                { "mData": "Height" },
                { "mData": "Length" },
                { "mData": "Width" },
                { "mData": "Capacity" },
                { "mData": "Quantity" },
                { "mData": "Description" }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>


<script>

   $(document).ready(function () {

        var SessionValueLocation = '@Request.RequestContext.HttpContext.Session["location"]';


    if (typeof (Storage) !== "undefined") {
        var ItemNameStore = window.localStorage.getItem('ItemNameStorage');
       // var LocationStore = window.localStorage.getItem('LocationStorage');

        $(".itemnameddlStorageAndSedimentationTank").val(ItemNameStore);
        $(".locationddlStorageAndSedimentationTank").val(SessionValueLocation);



    }
    else {
        alert("This browser does  not support local storage");
    }
 });
</script>



<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == true) {

            toastr.success("Asset Added Successfully", "Message", { timeOut: 4000 });
            window.localStorage.removeItem("ItemNameStorage");
            window.localStorage.removeItem("LocationStorage");
            setTimeout(function () { location.reload(); }, 1000);
        }
        else if (result.result == false) {

            toastr.warning("All Fields are Required !!", "Error Message ", { timeOut: 5000 });
        }
    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }
    function OnComplete(result) {


        document.getElementById("FormStorageAndSedimentationTank").reset();


    }


</script>
<script>

    $.getJSON("/WBS/DDLTankType", function (data) {
        $.each(data, function (i, data) {      // bind the dropdown list using json result
            $('<option>',
                {
                    value: data.TankType,
                    text: data.TankType
                }).html(data.TankType).appendTo("#TankTypeTank");
        });
    });
</script>

<script>

    $("#LengthStorageTank").keyup(calc);
    $("#WidthStorageTank").keyup(calc);
    $("#HeightStorageTank").keyup(calc);

    function calc() {

        //$("#AreaofLand").append(
        //    parseFloat($('#LengthLand').val(), 10) + parseFloat($("#WidthLand").val(), 10)
        //);

        var length = parseFloat($('#LengthStorageTank').val(), 2);
        var width = parseFloat($('#WidthStorageTank').val(), 2);
        var height = parseFloat($('#HeightStorageTank').val(), 2);

        var result = length * width * height;
        $("#CapacityStorageTank").val(result);

    }
</script>